Bug 908795 - [RFE] The JMX plugin should be able to use JBoss Remoting 3 to connect to EAP6 using JSR-160 remoting
Summary: [RFE] The JMX plugin should be able to use JBoss Remoting 3 to connect to EAP...
Status: POST
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: JON 4.0.0
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: FutureFeature, TestCaseNeeded
Depends On:
Blocks: 919199
TreeView+ depends on / blocked
 
Reported: 2013-02-07 14:43 UTC by Tristan Tarrant
Modified: 2016-03-28 23:42 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Tristan Tarrant 2013-02-07 14:43:41 UTC
In order to allow easy monitoring of user deployments which might expose metrics over JMX, the RHQ JMX plugin needs to be able to use JBoss Remoting 3 to connect to an AS7/EAP6 instance over the remoting port (standalone: 9999, domain: 4447).

This wiki page

https://community.jboss.org/wiki/UsingJconsoleToConnectToJMXOnAS7

describes the additional JARs required to support the 

service:jmx:remoting-jmx://{host_name}:{port}  

URI scheme

Comment 3 Thomas Segismont 2014-07-31 14:40:34 UTC
Fixed in master

commit 73e9bb52dae0c23a616640dd02191bc49ce7ec39
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu Jul 31 16:37:19 2014 +0200

Added new connection metadata (ConnectionTypeDescriptor classes) for:
* AS7 and EAP6.0
* EAP6.1 and above
* Wildfly 8

Added new connection templates for JMX server manual process

Refactored JMX plugin itests

Added itests for AS7 and Wildfly 8 in standalone mode
-> Added the Maven plugins for AS7 and Wildfly 8 in order to start standalone servers
-> add-user script is through an ANT tasks to support both UNIX-like systems and Windows systems

Comment 4 Mike McCune 2016-03-28 23:42:22 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions


Note You need to log in before you can comment on or make changes to this bug.